<%= form_for(@invoiceItem) do |f| %>
    <% if @invoiceItem.errors.any? %>
        <div id="error_explanation">
          <h2><%= pluralize(@invoiceItem.errors.count, "error") %> prohibited this invoice item from being saved:</h2>

          <ul>
            <% @invoiceItem.errors.full_messages.each do |msg| %>
                <li><%= msg %></li>
            <% end %>
          </ul>
        </div>
    <% end %>

    <%= f.hidden_field :author_id,:value=>current_user.id %>

    <% if @invoiceItem.valuation_firm_id.nil? %>
        <div class="field">
          <%= f.label :valuation_firm_id %>
          <%= f.select(:valuation_firm_id, ValuationFirm.all.collect {|vf| [vf.company_name, vf.id]}) %>
        </div>
    <% elsif @invoiceItem.new_record? %>
        <div class="field">
          <%= f.label :valuation_firm_id %>
          <%= f.hidden_field(:valuation_firm_id, :value => @invoiceItem.valuation_firm_id) %>
          <%= @invoiceItem.valuation_firm.company_name %>
        </div>
    <% else %>
        <div class="field">
          <%= f.label :valuation_firm_id %>
          <%= @invoiceItem.valuation_firm.company_name %>
        </div>
    <% end %>

    <% if @invoiceItem.invoice.valuation_firm.jones_lang_lasalle? %>
      <div class="field">
        <%= f.label :additional_ref %>
        <%= f.text_field :additional_ref %>
      </div>
    <% end %>

    <div class="field">
      <%= f.label :project_id %>
      <%= f.select(:project_id, @invoiceItem.invoice.projects_on_invoice.collect {|project| [project.project_name, project.id]}, :include_blank => true) %>
    </div>
    <div class="field">
      <%= f.label :amount %>
      <%= f.text_field :amount %>
    </div>
    <div class="field">
      <%= f.label :description %>
      <%= f.text_field :description %>
    </div>
    <div class="field">
      <%= f.label :vat %>
      <%= f.check_box :vat %>
    </div>
    <% if @invoiceItem.invoice_id %>
         <%= f.hidden_field(:invoice_id, :value => @invoiceItem.invoice_id) %>
    <% end %>

    <div class="actions">
      <%= f.submit %>
    </div>
<% end %>
